clear
clc

%%
load RD.mat

y = data2(:,6);
x = [ones(length(data2),1),data2(:,7:9)];

n = 82;
T = 25;

index = 1:25:(81*25+1);
z = zeros(25,5);
xx = zeros(4,4);
xy = zeros(4,1);
for t=1:T
    z(t,1)   = mean(y(index+t-1,:));
    z(t,2:5) = mean(x(index+t-1,:));
end

M = eye(T)-z*pinv(z'*z)*z';
for i=1:n
    xx = xx+x((i-1)*T+1:i*T,:)'*M*x((i-1)*T+1:i*T,:);
    xy = xy+x((i-1)*T+1:i*T,:)'*M*y((i-1)*T+1:i*T,:);
end
beta1 = pinv(xx)*xy;
%%
vv = zeros(T,n);

for i = 1:n
    vv(:,i) = y((i-1)*T+1:i*T,:)-x((i-1)*T+1:i*T,:)*beta1;
end

vs      = (vv-mean(vv))./std(vv);
[PC1,PC2] = eig(vs*vs'); 

d=4;

f0      = PC1(:,end-d:end);
f       = f0;
fx      = [ones(T,1),f];
beta    = pinv(fx'*fx)*fx'*vs;
res       = vs-fx*beta;
betasum = diag(sqrt(beta(2:end,:)*beta(2:end,:)'/n));
gmma    = pinv(diag(betasum,0))*beta(2:end,:);

out = CD_generation(res,n,t,gmma);
CD = out.CD;
CDs = out.CDs;
CDw = out.CDw;
CDwn = out.CDwn;
  

CD_p(:,d+1)=[CD;CDs;CDwn];
