% Calculate the change of real house price
clear
load housing_price.mat
clc


n = 377;
t = 160;

hp  = zeros(n,t);
cpi = zeros(n,t);

for s=1:t
    cpi(:,s) = data((s-1)*n+1:s*n,2);
    hp(:,s) = data((s-1)*n+1:s*n,3);
end

% calculate x
x = log(hp(:,2:end)./cpi(:,2:end))-log(hp(:,1:end-1)./cpi(:,1:end-1));
hprice  = reshape(x,377*159,1);
quarter = data(378:377*160,4);
region  = data(378:377*160,1);

data1 = [region,quarter,hprice];
