%This code is to test cross sectional dependendece of res1 and res2
%res1 and res2: (377*159) x 1
%v: 159 x 377

%% choose rest or res2
v0= res2; %res1 or res2 or res0

%% generate v
v = zeros(377,159);
for i=1:377
    v(i,:) = v0((i-1)*159+1:i*159);
end
%% apply PCA and CD
v = v';
[PC1,PC2] = eig(v*v'); 
%%
d = 6;%0,1,2,3,4,5,6,7,8,9

f       = PC1(:,end-d:end);
xx      = [ones(159,1),f];
beta    = pinv(xx'*xx)*xx'*v;
res       = v-xx*beta;
betasum = diag(sqrt(beta(2:end,:)*beta(2:end,:)'/n));
gmma    = pinv(diag(betasum,0))*beta(2:end,:);

out = CD_generation(res,n,t-1,gmma);
CD = out.CD;
CDs = out.CDs;
CDw = out.CDw;
CDwn = out.CDwn;
  